package ;


import clay.Vector;
import clay.Entity;

import clay.components.VisualComponent;
import clay.components.SpriteComponent;
import clay.components.GameObjectComponent;
import clay.components.ParticleSystem;
import clay.components.TransformComponent;
import clay.components.QuadGeometryComponent;

// import physics.ColliderType;
// import components.physics.Collider;
// import components.physics.Gravity;
import components.player.PlayerComponent;
import components.player.SurfboardComponent;
import components.water.WaterComponent;
// import components.tile.TileComponent;


class Spawn {

	public static function player(_pos:Vector):Entity {

		var e:Entity = new Entity({name : 'player'});

		var transform:TransformComponent = new TransformComponent();
		transform.pos.copy_from(_pos);

		var sprite:SpriteComponent = new SpriteComponent({size : new Vector(128,128)});
		// sprite.color.a = 0.5;


		e.add(transform);
		e.add(sprite);
		transform.origin.y = 112;
		// e.add(new Gravity(Settings.GRAVITY));
		// e.add(collider);
		e.add(new PlayerComponent());
		e.add(new SurfboardComponent());

		return e;
		
	}

	public static function water():Entity {

		var e:Entity = new Entity({name : 'water'});
		
		e.add(new WaterComponent());

		return e;

	}


}
