package utils;

import clay.Text;
import clay.Color;
import clay.Vector;
import clay.Log.*;
import clay.options.TextOptions;


class FPS extends Text {


	public function new( ?_options:clay.options.TextOptions ) {

		def(_options, {});
		def(_options.name, "fps");
		def(_options.pos, new Vector(Clay.screen.w - 5, 5));
		def(_options.point_size, 14);
		def(_options.align, TextAlign.right);
		_options.depth = 1000;
		super(_options);

		Clay.on(clay.Ev.update, update);

	} //new

	override function destroy() {

		Clay.off(clay.Ev.update, update);
		
		super.destroy();

	}

	function update(dt:Float) {

		// text = 'fps : ' + Math.round(1.0/dt);
		text = 'FPS : ' + Math.round(1.0/Clay.debug.dt_average);

	} //update


} //FPS
