package utils;

class Util {
	

	public inline static function vecLengthSq(x:Float, y:Float) : Float {

		return x * x + y * y;

	}

	public inline static function vecLength(x:Float, y:Float) : Float {

		return Math.sqrt(vecLengthSq(x,y));

	}

	public inline static function vecNormalize(length:Float, component:Float) : Float {

		if(length == 0) {
			return 0;
		}

		return component /= length;

	}

	public inline static function vecDot(x:Float, y:Float, otherx:Float, othery:Float) : Float {

		return x * otherx + y * othery;

	}


}