package physics;

import clay.Vector;
import physics.PointMass;
import utils.ShapeDrawer;


class Spring {


	// First PointMass the spring is connected to.
	public var pointMassA:PointMass;
	// Second PointMass the spring is connected to.
	public var pointMassB:PointMass;
	// The "rest length" (deisred length) of the spring.  at this length, no force is exerted on the points.
	public var length:Float;
	// spring constant, or "strength" of the spring.
	public var stiffness:Float;
	// coefficient for damping, to reduce overshoot.
	public var damping:Float;


	public function new(pmA:PointMass, pmB:PointMass, len:Float = 0, stiff:Float = 0, damp:Float = 0):Void {

		pointMassA = pmA;
		pointMassB = pmB;
		length = len;
		stiffness = stiff;
		damping = damp;

	}


}
