package utils;

import clay.utils.Maths;

class Mathf{


	inline public static function ApValue(start:Float, end:Float, shift:Float):Float {
		
		if (start < end) {
			return  Math.min(start + shift, end);
		} else {
			return Math.max(start - shift, end);
		}

	} 

	inline public static function ApValueT(start:Float, end:Float, shift:Float, dt:Float):Float {

		if (start < end) {
			return  Math.min(start + shift * dt, end);
		} else {
			return Math.max(start - shift * dt, end);
		}

	} 
	
	inline public static function ApFriction(vel:Float, value:Float):Float {

		// value 100 = return 0
		// var ret:Float = vel * Maths.clamp(1.0 - 0.01 * value, 0.0, 1.0);
		var ret:Float = vel * Maths.clamp(value, 0.0, 1.0);
		if(Math.abs(ret) > 0.1){
			return ret;
		} else {
			return 0;
		}

	} 

	inline public static function ApFrictionT(start:Float, shift:Float, dt:Float):Float {

		var ret:Float = start * Maths.clamp(1.0 - dt * shift, 0.0, 1.0);
		if(Math.abs(ret) > 0.1){
			return ret;
		} else {
			return 0;
		}

	} 
	
}



/*inline T SaturatedAdd(T Min, T Max, T Current, T Modifier)
{
	if(Modifier < 0)
	{
		if(Current < Min)
			return Current;
		Current += Modifier;
		if(Current < Min)
			Current = Min;
		return Current;
	}
	else
	{
		if(Current > Max)
			return Current;
		Current += Modifier;
		if(Current > Max)
			Current = Max;
		return Current;
	}
}*/

